Overview

FastStone Image Viewer is a fast, stable, user-friendly image browser, converter and editor. It has a nice array of features that include image viewing, management, comparison, red-eye removal, emailing, resizing, cropping and color adjustments. Its innovative but intuitive full-screen mode provides quick access to EXIF information, thumbnail browser and major functionalities via hidden toolbars that pop up when your mouse touch the four edges of the screen. Other features include a high quality magnifier and a musical slideshow with 150+ transitional effects, as well as lossless JPEG transitions, drop shadow effects, image annotation, scanner support, histogram and much more. It supports all major graphic formats (BMP, JPEG, JPEG 2000, animated GIF, PNG, PCX, TIFF, WMF, ICO and TGA) and popular digital camera RAW formats (CRW, CR2, NEF, PEF, RAF, MRW, ORF, SRF, ARW, RW2 and DNG).


Features

  • Image browser and viewer with a familiar Windows Explorer-like user interface
  • Support of many popular image formats:

  • True Full Screen viewer with image zoom support and unique fly-out menu panels
  • Crystal-clear and customizable one-click image magnifier
  • Superior Red-Eye effect removal/reduction with completely natural looking end result
  • Image modification tools: Resize/resample, rotate/flip, crop, sharpen/blur, brightness/contrast, etc.
  • 11 resampling algorithms to choose from when resizing images
  • Image color effects: gray scale, sepia, negative, Red/Green/Blue adjustment
  • Image special effects: watermark, annotation, drop shadow, framing, bump map, lens, morph, waves
  • Multi-level Undo/Redo capability
  • One-touch best fit/actual size image display support
  • Image management, including tagging capability, with drag-and-drop and Copy To/Move To Folder support
  • Histogram display with color counter feature
  • Compare images side-by-side (up to 4 at a time) to easily cull those forgettable shots
  • Image EXIF metadata support (plus comment editing for JPEGs)
  • Configurable batch processing to convert/rename large or small collections of images
  • Slideshow creation with 150+ transition effects and music support (MP3, WMA, WAV...)
  • Create efficient image attachment(s) for emailing to family and friends
  • Print images with full page-layout control
  • Create fully configurable Contact Sheets
  • Create memorable artistic image montages from your family photos for personalized desktop wallpapers (Wallpaper Anywhere)
  • Acquire images from scanners and cameras
  • Versatile screen capture capability
  • Powerful Save As interface to compare image quality and control generated file size
  • Run favorite programs with one keystroke from within Image Viewer
  • Configurable mouse wheel support
  • Supports multiple program skins
  • Supports dual-monitor configurations
  • And much more...


System Requirements

  • Windows 98SE, ME, XP (32-bit and 64-bit), Vista (32-bit and 64-bit), Windows 7 (32-bit and 64-bit)
  • 256MB RAM
  • 10MB space in hard drive
  • Mouse (with scroll-wheel recommended)


Viewing Images

Mouse & Keyboard Use

  • Double click on a thumbnail image or single click on this icon [image] to switch to a Full Screen view of the image
  • In Full Screen, move your mouse pointer to the bottom border of the screen where a control bar (see next figure) will pop up to provide fast access to major program functions. (Note: Moving your mouse pointer onto this control bar will enable the mouse wheel to be used for zooming in/out on the image)

  • In Full Screen, move your mouse pointer to the right border of the screen where an image properties window with EXIF metadata will pop up
  • In Full Screen, move your mouse pointer to the top border of the screen where a thumbnail browser window will pop up to provide fast access to other images in the same folder and other program commands
  • In Full Screen, move your mouse pointer to the left border of the screen where a panel will pop up to provide fast access to file and image editing functions
  • In Full Screen, move your mouse pointer to the right-bottom corner of the screen where the Windows Taskbar will pop up to provide fast switching to other programs that are running
  • When the mouse cursor becomes a magnifier shape [image], it means the displayed image has been formatted to fit within the current available window or screen area. Now you can press and hold the left mouse button and the image will be viewed in a magnifier. With the left mouse button being held down, moving the mouse around will move the magnifier across the image. The Magnifier zoom ratio and Magnifier size (See Magnifier tab in the Settings) determine the magnification level of the image within the magnifier and the size of the magnifier area
  • When the mouse cursor becomes a hand shape [image], it means the displayed image is larger than the current available window or screen area. Now you can press and hold the left mouse button and move the mouse around to pan/scroll the image within the current window or screen area
  • When Normal (Pan) mode [image] is selected, pressing and holding the Ctrl key will change the mouse cursor to a cross shape [image]. Now you can use the mouse to SELECT and ZOOM (select a rectangular area of the image by using the left mouse button to click and drag, then release the button to zoom in on that area of the image)
  • When Rectangle, Circle or Freehand select mode ( [image], [image] or [image] respectively) is selected, pressing and holding the Ctrl key will change the mouse cursor to a cross shape [image]. Now you can use the mouse to define a selection area. By clicking your right mouse button with the mouse cursor within the selection area, a pop up menu will appear that allows you to zoom, copy, cut, crop or delete the selected area or to even save the selection into a file
  • Scrolling your mouse wheel will display the next or previous image
  • Holding the Ctrl key, the mouse cursor will become a cross shape [image] - scroll your mouse wheel to zoom in or zoom out on the image
  • Holding the Shift key, the mouse cursor will become a circle shape [image] - click the left mouse button to zoom in or the right mouse button to zoom out on the image
  • Press Spacebar, Right arrow or PgDn key to go to the next image
  • Press Backspace, Left arrow or PgUp key to go to the previous image
  • When the displayed image is larger than the current available window or screen area, press Arrow (Up, Down, Left, Right) keys to pan/scroll the image within the current window or screen area
  • Press Home key to go to the first image
  • Press End key to go to the last image
  • Press 1,2,3,... or 0 key to zoom the image to 100%, 200%, 300%,...1000%
  • Press A or / key to display the image in actual size
  • Press B or * key to display the image in best fit within the current window or screen area
  • Press + key to zoom in on the image
  • Press - key to zoom out on the image
  • Press C key to start the copy to folder function on the current image file
  • Press M key to start the move to folder function on the current image file
  • Press D key to pop up the Draw Board window to add text, lines, rectangles, ellipses, highlighted areas and watermark(s) to the image
  • Press E key to edit the image with the first External Program (user defined)
  • Press I key to display a window with the image properties including EXIF and Histogram. Press I key again to hide this window
  • Press S key to pop up the Slideshow Options window to configure a slideshow
  • Press T key to pop up the JPEG Comment window to edit the image description/comment (for JPEG images only)
  • Press L or < key to perform a rotate left
  • Press R or > key to perform a rotate right
  • Press H key to perform a flip horizontally
  • Press V key to perform a flip vertically
  • Press W key to open Windows Explorer at the current directory
  • Press X key to pop up the Crop Board window to perform cropping on the image
  • Press Ctrl+R key combination to pop up the Resize/Resample window to resize the image
  • Press Ctrl+H key combination to pop up the Histogram window for the image
  • Press Ctrl+Z key combination to undo the last change made to the image (multi-level undo)
  • Press Ctrl+Y key combination to redo the last change made to the image (multi-level redo)
  • Press Enter or F key to switch between Full Screen/Browser View or Full Screen/Windowed View
  • Press mouse wheel button to switch between Full Screen and Browser View
  • Press Esc key to exit from Full Screen or to exit the program when in Browser or Windowed View
  • To sort images by Filename, Type, Dimension, Size or Date in Browser View, change Browser Style to Report View and left click on the appropriate column header


License Agreement

Please read the following terms and conditions before using this software. Installing and using this software indicates you accept the terms of this license agreement and warranty.

  • Disclaimer of Warranty

    FastStone Image Viewer (this software) is provided "as-is" and without warranty of any kind, express, implied or otherwise, including without limitation, any warranty of merchantability or fitness for a particular purpose.

    In no event shall the author of this software be held liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software.
  • License

    FastStone Image Viewer is free for personal and educational (including non-profit organization) use. In these cases, you are granted the right to use and to make an unlimited number of copies of this software.

    For commercial use, it is required to register. Visit http://www.faststone.org/order.htm to find out how to obtain license for commercial use.
  • Restrictions on Use

    This software must not be decompiled, disassembled, reverse engineered or otherwise modified.

© 2009 FastStone Soft - All Rights Reserved


Contact Us

FastStone Soft specializes in graphics and image processing research. We are developing programs to share our ideas with people worldwide.

Our programs contain neither adware nor spyware!

For the latest version of this program, and other free programs, please visit www.FastStone.org .

As the end-user of our programs, you are best qualified to judge how well we are succeeding at providing quality software to the world community. Without your feedback it is very difficult to gauge what, if anything, we should improve to better serve you in the future. We are receptive to all comments on our programs and certainly appreciate the time you take to let us know how we are doing. Suggestions for improvements and new features are always welcomed.

Please feel free to contact us at support@faststone.org.

Thank you!